rxvt(1)

NAME
rxvtc - control the rxvtd daemon

SYNOPSIS
rxvtc [same options as for rxvt]

DESCRIPTION
This manpage describes the rxvtc client program. It connects to the rxvtd daemon and requests a new terminal window. It takes the same arguments as the rxvt program. The environment will also be respected. Currently, it always returns immediately after contacting the daemon.

OPTIONS
All options that are valid for rxvt are valid for rxvtc, too. Please note that options are interpreted in the context of the daemon process. However, as current working directory, process environment and any file descriptor (e.g. for "-pty-fd") are preserved, this rarely makes a difference.

EXIT STATUS
If everything went well, rxvtc returns with an exit status of 0. If contacting the daemon fails, it exits with the exit status 2. In all other error cases it returns with status 1.

This can be used to implement auto-starting behaviour, by checking for an exit status of 2, running "rxvtd -f -q" and retrying the call to rxvtc, like this:

   #!/bin/sh
   rxvtc "$@"
   if [ $? -eq 2 ]; then
      rxvtd -q -o -f
      rxvtc "$@"
   fi

ENVIRONMENT
All environment variables of the current process will be made available to the new instance, and will be interpreted as if rxvt were started directly.

RXVT_SOCKET
    Both rxvtc and rxvtd use the environment variable RXVT_SOCKET to create a listening socket and to contact the rxvtd, respectively. If the variable is missing, $HOME/.rxvt-unicode-<nodename> is used. The variable must specify the absolute path of the socket to create.

SEE ALSO
rxvt(7), rxvtd(1)